Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.beans
Class BeanWizard

    java.lang.Object
      com.atomikos.beans.BeanWizard

All Implemented Interfaces:
  PropertyChangeListener, EventListener

    public class BeanWizard

extends Object
implements PropertyChangeListener

A GUI setup tool for configuring arbitrary bean instances. This tool can be used by other GUI programs to setup the properties of an arbitrary bean. Afterwards, object serialization can be used to persist the bean and its settings. This tool can be combined with a Dialog: if the dialog is confirmed then getBean will return the bean as it was configured.

Constructor Summary
`BeanWizard(Object bean)`

Method Summary
`Object` | `getBean()` Get the bean.
`JPanel` | `getPanel()` Get the panel to display in the client program.
`void` | `propertyChange(PropertyChangeEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanWizard

    public BeanWizard(Object bean)
               throws PropertyException

Throws:
  `PropertyException`

Method Detail

### getPanel

    public JPanel getPanel()

  Get the panel to display in the client program. This panel is the main panel for the wizard and allows setting the properties of the bean.

  Returns:
    JPanel The panel.

### getBean

    public Object getBean()

  Get the bean. This method can be used to retrieve the bean after the user is done with the wizard.

  Returns:
    Object The bean instance.

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.